/* eslint-disable */
import React, { Fragment, useEffect, useState } from "react";

import { Container, About, Edit, PendingField } from "./styled";

import ButtonWithIcon from "../ButtonWithIcon";
import { EditProfile } from "../../containers";

function AboutMe({ display, user }) {
  const [displayAbout, setDisplayAbout] = useState("block");
  const [displayEdit, setDisplayEdit] = useState("none");

  function hideAbout() {
    setDisplayAbout("none");
    setDisplayEdit("block");
  }

  function hideEdit() {
    setDisplayAbout("block");
    setDisplayEdit("none");
  }

  return (
    <Container display={display}>
      <About display={displayAbout}>
        <h1>Quem sou eu?</h1>
        {user?.descricao ? (
          <h5>{user.descricao}</h5>
        ) : (
          <h5>
            <PendingField>Nos fale um pouco sobre você</PendingField>
          </h5>
        )}

        <h1>Minhas habilidades</h1>
        {true ? (
          <ul>
            <li>
              <h5>React JS</h5>
            </li>
            <li>
              <h5>React Native</h5>
            </li>
            <li>
              <h5>Node JS</h5>
            </li>
            <li>
              <h5>Typescript</h5>
            </li>
          </ul>
        ) : (
          <h5>
            <PendingField>Preencha suas habilidades</PendingField>
          </h5>
        )}

        <h1>Minhas experiências</h1>
        {true ? (
          <h5>
            Lorem Ipsum is simply dummy text of the printing and typesetting
            industry. Lorem Ipsum has been the industry's standard dummy text
            ever since the 1500s, when an unknown printer took a galley of type
            and scrambled it to make a type specimen book.
          </h5>
        ) : (
          <h5>
            <PendingField>Preencha suas experiências</PendingField>
          </h5>
        )}

        <h1>Meus horários</h1>
        {false ? (
          <h5>Segunda-feira até Sexta-feira, das 08:00 - 23:00.</h5>
        ) : (
          <h5>
            <PendingField>Preencha seus horários</PendingField>
          </h5>
        )}

        <h1>Meus Dados</h1>
        <ul>
          <li>
            <h5>Nome: {user?.nome}</h5>
          </li>
          <li>
            <h5>
              {" "}
              CPF:{" "}
              {user?.cpf_cnpj ? (
                user.cpf_cnpj
              ) : (
                <PendingField>Preencha seu CPF</PendingField>
              )}
            </h5>
          </li>
          <li>
            <h5>E-mail: {user?.mail}</h5>
          </li>
          <li>
            <h5>
              Telefone Residencial:{" "}
              {user?.telefone_casa ? (
                user.telefone_casa
              ) : (
                <PendingField>Preencha seu telefone</PendingField>
              )}
            </h5>
          </li>
          <li>
            <h5>
              Celular:{" "}
              {user?.telefone_celular ? (
                user.telefone_celular
              ) : (
                <PendingField>Preencha seu celular</PendingField>
              )}
            </h5>
          </li>
        </ul>
        <h1>Endereço</h1>
        {user?.cep ? (
          <Fragment>
            <h5>CEP: {user.cep}</h5>
            <h5>
              Rua: {user?.rua} - {user?.numero}/{user?.complemento} -{" "}
              {user?.cidade}{" "}
            </h5>
            <h5>
              Cidade: {user?.cidade}/{user?.uf}
            </h5>
          </Fragment>
        ) : (
          <h5>
            <PendingField>Preencha seu endereço</PendingField>
          </h5>
        )}
        <ButtonWithIcon name="editar perfil" execFunction={hideAbout} />
      </About>

      <Edit display={displayEdit}>
        {user && <EditProfile userData={user} onSubmit={hideEdit}/>}
      </Edit>
    </Container>
  );
}

export default AboutMe;
