import React, { useState } from 'react';
import ListInputs from '../../components/ListInputs'
import ListSkills from '../../components/ListSkills';

import { Row } from './styles'

const GroupInput = (campo01, campo02, campo03) => {
  const [skills, setTasks] = useState([]);

  function addNewSkill(skill) {
    const itensCopy = [...skills];
    itensCopy.push({id: skills.length, value: skill});
    setTasks(itensCopy);
  }

  function renderListSkills() {
    return (
      skills.map(({value, key}) => { 
        console.log(value, key)
        return (
          <ListSkills
              key={key}
              value={value}
          />
        );
      })
    )
  }

  return (
    <div>
        <ListInputs 
            campo01={campo01}
            campo02={campo02}
            campo03={campo03}
            onSubmit={addNewSkill} />
            {renderListSkills()}
    </div>
  )
}

export default GroupInput;